ctplugin_be.h File Reference
`#include <gwenhywfar/ctplugin.h>`

Go to the source code of this file.

## Typedefs

typedef int GWENHYWFAR_CB(* | GWEN_CRYPT_TOKEN_PLUGIN_CHECKTOKEN_FN) (GWEN_PLUGIN *pl, GWEN_BUFFER *name)
typedef GWEN_CRYPT_TOKEN *GWENHYWFAR_CB(* | GWEN_CRYPT_TOKEN_PLUGIN_CREATETOKEN_FN) (GWEN_PLUGIN *pl, const char *name)

## Functions

GWENHYWFAR_API GWEN_PLUGIN * | GWEN_Crypt_Token_Plugin_new (GWEN_PLUGIN_MANAGER *mgr, GWEN_CRYPT_TOKEN_DEVICE devType, const char *typeName, const char *fileName)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_PLUGIN_CHECKTOKEN_FN | GWEN_Crypt_Token_Plugin_SetCheckTokenFn (GWEN_PLUGIN *pl, GWEN_CRYPT_TOKEN_PLUGIN_CHECKTOKEN_FN fn)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_PLUGIN_CREATETOKEN_FN | GWEN_Crypt_Token_Plugin_SetCreateTokenFn (GWEN_PLUGIN *pl, GWEN_CRYPT_TOKEN_PLUGIN_CREATETOKEN_FN fn)

## Typedef Documentation

## GWEN_CRYPT_TOKEN_PLUGIN_CHECKTOKEN_FN

typedef int GWENHYWFAR_CB(* GWEN_CRYPT_TOKEN_PLUGIN_CHECKTOKEN_FN) (GWEN_PLUGIN *pl, GWEN_BUFFER *name)

Definition at line 27 of file ctplugin_be.h.

## GWEN_CRYPT_TOKEN_PLUGIN_CREATETOKEN_FN

typedef GWEN_CRYPT_TOKEN *GWENHYWFAR_CB(* GWEN_CRYPT_TOKEN_PLUGIN_CREATETOKEN_FN) (GWEN_PLUGIN *pl, const char *name)

Definition at line 23 of file ctplugin_be.h.

## Function Documentation

## GWEN_Crypt_Token_Plugin_new()

GWENHYWFAR_API GWEN_PLUGIN * GWEN_Crypt_Token_Plugin_new | ( | GWEN_PLUGIN_MANAGER * | mgr,
|  | GWEN_CRYPT_TOKEN_DEVICE | devType,
|  | const char * | typeName,
|  | const char * | fileName )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_Plugin_SetCheckTokenFn()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_PLUGIN_CHECKTOKEN_FN GWEN_Crypt_Token_Plugin_SetCheckTokenFn | ( | GWEN_PLUGIN * | pl,
|  | GWEN_CRYPT_TOKEN_PLUGIN_CHECKTOKEN_FN | fn )

## GWEN_Crypt_Token_Plugin_SetCreateTokenFn()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_PLUGIN_CREATETOKEN_FN GWEN_Crypt_Token_Plugin_SetCreateTokenFn | ( | GWEN_PLUGIN * | pl,
|  | GWEN_CRYPT_TOKEN_PLUGIN_CREATETOKEN_FN | fn )

References GWENHYWFAR_API.